## phpTodo - Web based todo lists                                             ##
## Copyright (C) 2005-07  Jason Frisvold <friz@godshell.com>                  ##
##                                                                            ##
## This program is free software; you can redistribute it and/or modify       ##
## it under the terms of the GNU General Public License as published by       ##
## the Free Software Foundation; either version 2 of the License, or          ##
## (at your option) any later version.                                        ##
##                                                                            ##
## This program is distributed in the hope that it will be useful,            ##
## but WITHOUT ANY WARRANTY; without even the implied warranty of             ##
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              ##
## GNU General Public License for more details.                               ##
##                                                                            ##
## You should have received a copy of the GNU General Public License          ##
## along with this program; if not, write to the Free Software                ##
## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA ##

## $Id: phpTodo-0.5-0.6-update.sql,v 1.4 2007/03/06 17:58:04 xen0phage Exp $ ##

# You *should* be able to pipe this through mysql to update your database
# mysql -uroot -p phpTodo < phpTodo-0.5-0.6-update.sql

# If you have altered the tables, this will probably fail.  As always, BACK UP
# YOUR DATA before you try this!

ALTER TABLE listentries ADD (create_date     DATETIME,
                             last_modified   TIMESTAMP);

ALTER TABLE user_prefs ADD (sort_stabilizer CHAR(15) NOT NULL DEFAULT 'taskid',
                            sort_order      CHAR(3)  NOT NULL DEFAULT 'asc');

# Note : This changes status entries for ALL completed items.  If you've changed
# the status codes, understand what is being done here before you do it!

UPDATE listentries SET status_id = 50 WHERE status_id = 3;

UPDATE status SET status = 'Waiting on Someone' WHERE id = 3;
INSERT INTO status VALUES (50, 'In Progress');
INSERT INTO status VALUES (98, 'Cancelled');
