{* phpTodo - Web based todo lists                                             *}
{* Copyright (C) 2005-07  Jason Frisvold <friz@godshell.com>                  *}
{*                                                                            *}
{* This program is free software; you can redistribute it and/or modify       *}
{* it under the terms of the GNU General Public License as published by       *}
{* the Free Software Foundation; either version 2 of the License, or          *}
{* (at your option) any later version.                                        *}
{*                                                                            *}
{* This program is distributed in the hope that it will be useful,            *}
{* but WITHOUT ANY WARRANTY; without even the implied warranty of             *}
{* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              *}
{* GNU General Public License for more details.                               *}
{*                                                                            *}
{* You should have received a copy of the GNU General Public License          *}
{* along with this program; if not, write to the Free Software                *}
{* Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA *}

{* $Id: taskedit.tpl,v 1.20 2007/03/07 17:42:57 xen0phage Exp $ *}

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html>
   <head>
      <meta http-equiv='content-type' content='text/html; charset=ISO-8859-1' />
      <script type='text/javascript' src='taskedit.js'></script>
      <script type='text/javascript' src='datetimepicker.js'>
         //Date Time Picker script- by TengYong Ng of http://www.rainforestnet.com
         //Script featured on JavaScript Kit (http://www.javascriptkit.com)
         //For this script, visit http://www.javascriptkit.com
      </script>
      <link rel='stylesheet' href='{$stylesheet}' type='text/css' />
      <title>phpTodo</title>
   </head>
   <body>
      {include file='header.tpl'}
      <form id='task' method='post' action='taskmodify.php'>
         <table class='naked'>
            <tbody>
               <tr>
                  <td>Subject</td>
                  <td colspan='5'>
                     <input name='subject' size='75' maxlength='75' value='{$subject}' onchange='mark_change()' />
                  </td>
               </tr><tr>
                  <td>Description</td>
                  <td colspan='5'>
                     <textarea rows='10' name='description' cols='75' onchange='mark_change()'>{$description}</textarea>
                  </td>
               </tr><tr>
                  <td>
                     Next Action
                     <br />
                     <span class='fakelinktiny' onclick='copynclear();'>
                        Copy and Clear
                     </span>
                  </td><td colspan='5'>
                     <textarea rows='3' name='nextaction' cols='75' onchange='mark_change()'>{$nextaction}</textarea>
                  </td>
               </tr><tr>
                  <td>&nbsp;</td>
                  <td>Priority</td>
                  <td>Status</td>
                  <td>Category</td>
                  <td>Start Date</td>
                  <td>Due Date</td>
               </tr><tr>
                  <td>
                  </td><td>
                     <select name='priority_id' onchange='mark_change()'>
                        {html_options options=$priority_list selected=$priority_id}
                     </select>
                  </td><td>
                     <select name='status_id' onchange='mark_change()'>
                        {html_options options=$status_list selected=$status_id}
                     </select>
                  </td><td>
                     <select name='category_id' onchange='mark_change()'>
                        {html_options options=$category_list selected=$category_id}
                     </select>
                  </td><td>
                     <input id='startdate' name='start_date' size='10' value='{$start_date}' onchange='mark_change()' />
                     <img src='images/cal.gif' width='16' height='16' alt='Pick a date' onclick='NewCal("startdate","mmddyyyy" )' />
                  </td><td>
                     <input id='duedate' name='due_date' size='10' value='{$due_date}' onchange='mark_change()' />
                     <img src='images/cal.gif' width='16' height='16' alt='Pick a date' onclick='NewCal("duedate","mmddyyyy" )' />
                  </td>
               </tr><tr>
                  <td></td>
                  <td colspan='3'>
                     <br />
                     <input type='submit' name='save' value='Save' onclick='return tasksave();' />
                     &nbsp;&nbsp;
                     {if $edit}
                     <input type='submit' name='delete' value='Delete' onclick='return taskdelete();' />
                     &nbsp;&nbsp;
                     {/if}
                     <input type='submit' name='cancel' value='Cancel' onclick='return taskcancel();' />
                     <input type='hidden' name='task_id' value='{$task_id}' />
                     <input type='hidden' name='page_num' value='{$page_num}' />
                  </td><td>
                     Completed Date :
                  </td><td>
                     {$complete_date}
                  </td>
               </tr>
            </tbody>
         </table>
      </form>
      {include file='footer.tpl'}
   </body>
</html>
