{* phpTodo - Web based todo lists                                             *}
{* Copyright (C) 2005-07  Jason Frisvold <friz@godshell.com>                  *}
{*                                                                            *}
{* This program is free software; you can redistribute it and/or modify       *}
{* it under the terms of the GNU General Public License as published by       *}
{* the Free Software Foundation; either version 2 of the License, or          *}
{* (at your option) any later version.                                        *}
{*                                                                            *}
{* This program is distributed in the hope that it will be useful,            *}
{* but WITHOUT ANY WARRANTY; without even the implied warranty of             *}
{* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              *}
{* GNU General Public License for more details.                               *}
{*                                                                            *}
{* You should have received a copy of the GNU General Public License          *}
{* along with this program; if not, write to the Free Software                *}
{* Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA *}

{* $Id: todolist-wml.tpl,v 1.2 2007/03/06 17:58:05 xen0phage Exp $ *}

<?xml version="1.0"?>
<!DOCTYPE wml PUBLIC "-//WAPFORUM//DTD WML 1.1//EN" "http://www.wapforum.org/DTD/wml_1.1.xml">

<wml>
   <card id="NewEntry" title="phpTodo">
      <do type='accept' name='quickadd' label='Quick Add'>
         <go method='post' href='taskmodify.php'>
            <postfield name='priority_id' value='$priority_id' />
            <postfield name='status_id' value='$status_id' />
            <postfield name='category_id' value='$category_id' />
            <postfield name='subject' value='$subject' />
            <postfield name='duedate' value='$duedate' />
         </go>
      </do>
      <do type='accept' name='fulladd' label='Add'>
         <go method='post' href='taskmodify.php'>
            <postfield name='priority_id' value='$priority_id' />
            <postfield name='status_id' value='$status_id' />
            <postfield name='category_id' value='$category_id' />
            <postfield name='subject' value='$subject' />
            <postfield name='duedate' value='$duedate' />
         </go>
      </do>
      <p>
      <fieldset>Priority : 
         <select name='priority_id' title='Priority'>
            <option value='test'>Test</option>
            <option value='test'>Test</option>
            <option value='test'>Test</option>
            <option value='test'>Test</option>
            {html_options options=$priority_list}
         </select>
      </fieldset>
      <fieldset>Status :
         <select name='status_id' title='Status'>
            <option value='test'>Test</option>
            {html_options options=$status_list}
         </select>
      </fieldset>
      <fieldset>Category :
         <select name='category_id' title='Category'>
            <option value='test'>Test</option>
            {html_options options=$category_list selected=$category_val}
         </select>
      </fieldset>
      <fieldset>Subject :
         <input name='subject' size='75' maxlength='75' />
      </fieldset>
      <fieldset>Due Date :
         <input id='duedate' name='due_date' size='10' />
      </fieldset>

   </p>
   </card>
</wml>
