/* phpTodo - Web based todo lists                                             *}
{* Copyright (C) 2005-07  Jason Frisvold <friz@godshell.com>                  *}
{*                                                                            *}
{* This program is free software; you can redistribute it and/or modify       *}
{* it under the terms of the GNU General Public License as published by       *}
{* the Free Software Foundation; either version 2 of the License, or          *}
{* (at your option) any later version.                                        *}
{*                                                                            *}
{* This program is distributed in the hope that it will be useful,            *}
{* but WITHOUT ANY WARRANTY; without even the implied warranty of             *}
{* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the              *}
{* GNU General Public License for more details.                               *}
{*                                                                            *}
{* You should have received a copy of the GNU General Public License          *}
{* along with this program; if not, write to the Free Software                *}
{* Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA */

/* $Id: users.js,v 1.2 2007/03/06 17:58:03 xen0phage Exp $ */

function saveuser() {
   var usernameRegex = /^[a-zA-Z0-9_\-]{1,15}$/;
   var fullnameRegex = /^[a-zA-Z0-9_\-\ \']{1,40}$/;
   var emailRegex = /^[a-zA-Z0-9_\-\.!#\$%&\*\+\/=\?\^\{\|\}~]{0,64}@[a-zA-Z0-9\-\.]{0,255}$/;
   var pwdRegex = /^[a-zA-Z0-9@#$%\^&\*\/]{4,15}$/;

   if (! usernameRegex.test(document.forms.usermod.username.value)) {
      alert('Invalid username.  Usernames can be up to 15 ' +
            'characters using only the following :\na-z A-Z 0-9 _ -');
      return(false);
   }

   if (! fullnameRegex.test(document.forms.usermod.fullname.value)) {
      alert('Invalid full name.  Full Names can be up to 40 ' +
            'characters using only the following :\na-z A-Z 0-9 _ - \'' +
            'and spaces');
      return(false);
   }

   if (! emailRegex.test(document.forms.usermod.email.value)) {
      alert('Invalid email address.  Email addresses can be up to 320 ' +
            'characters using only the following :\na-z A-Z 0-9 ! @ # ' +
            '$ % ^ & * / (See RFC 2822)');
      return(false);
   }

   if (! pwdRegex.test(document.forms.usermod.password.value)) {
      alert('Invalid password.  Passwords should consist of 4-15 ' +
            'characters using only the following :\na-z A-Z 0-9 @ # ' +
            '$ % ^ & * /');
      return(false);
   }

   return(true);
}
